Page MenuHomePhabricator

TimedText's background clashes with the text
Closed, ResolvedPublic

Description

Currently TimedText sometimes uses a bigger font-size but not a bigger
line-height. This sometimes causes TimedText's background to clash with
the text resulting in horizontally cut-off texts.

Patch follows immediately.


Version: unspecified
Severity: normal

Details

Reference
bz54901

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:35 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz54901.
Rillke created this task.Oct 2 2013, 10:49 PM

Change 87284 had a related patch set uploaded by Rillke:
Prevent background overflowing TimeText

https://gerrit.wikimedia.org/r/87284

Created attachment 13427
Screenshot showing the issue: TMH at Wikimedia Commons

Attached:

Created attachment 13428
Screenshot showing how it will look like after applying this patch at Wikimedia Commons (script injected through Fiddler2)

Attached:

For the sake of completeness, here is how to reproduce:

So if you don't want patches or bug reports tell it right away.

Change 87284 merged by Mdale:
Prevent background overflowing TimeText

https://gerrit.wikimedia.org/r/87284

mdale wrote:

Thanks reviewed and merged.
https://gerrit.wikimedia.org/r/#/c/87284/

Also patched up-stream.
https://github.com/kaltura/mwEmbed/commit/3fe927af7a0eb5cf63186be5b66943d25c0235a1

Apologies for the delay, and thanks again :)

(In reply to comment #6)

Thanks reviewed and merged.
https://gerrit.wikimedia.org/r/#/c/87284/

Closing as RESOLVED FIXED. Fix will be deployed on Wikimedia servers as per https://www.mediawiki.org/wiki/MediaWiki_1.22/Roadmap

Gilles raised the priority of this task from Normal to Unbreak Now!.Dec 4 2014, 10:25 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:21 AM